From a029a7018229e754ed2c13bbd0bb2438e41cde3a Mon Sep 17 00:00:00 2001
From: Luc Saillard <luc@saillard.org>
Date: Wed, 24 Jun 2009 18:06:08 +0200
Subject: [PATCH 1/2] Fix a segfault when ipv4 broadcast is not set

---
 src/ipv4.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/src/ipv4.c b/src/ipv4.c
index b670cfd..1606fa2 100644
--- a/src/ipv4.c
+++ b/src/ipv4.c
@@ -189,7 +189,7 @@ static int ipv4_probe(struct connman_element *element)
 	DBG("netmask %s", netmask);
 	DBG("broadcast %s", broadcast);
 
-	if (address == NULL || netmask == NULL)
+	if (address == NULL || netmask == NULL || broadcast == NULL)
 		return -EINVAL;
 
 	memset(&ipv4, 0, sizeof(ipv4));
-- 
1.6.3.1

